> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List wallet deposits

> List inbound deposits received by a specific HIFI-provisioned wallet.
`chain` and `currency` are required. Supports cursor-based pagination
and filtering by status, minimum amount, and creation time.




## OpenAPI

````yaml https://production.hifi.com/api/v3/openapi.json get /v3/users/{userId}/wallets/{walletId}/deposits
openapi: 3.0.0
info:
  title: Hifi API
  version: 3.0.0
  description: API documentation for HIFI
servers:
  - url: https://production.hifi.com
    description: Production server
  - url: https://sandbox.hifi.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Counter Party
    description: Counter party endpoints
  - name: Crypto Transfer
    description: Crypto transfer and batch transfer endpoints
  - name: Wallet
    description: Wallet and wallet offer endpoints
  - name: External Account
    description: External bank account endpoints (under a counter party)
  - name: External Wallet
    description: External wallet endpoints (under a counter party)
  - name: External Card
    description: External card endpoints (under a counter party)
  - name: Token Swap
    description: Token swap endpoints
  - name: Bridge
    description: Bridge endpoints
  - name: Virtual Account
    description: Virtual account endpoints
  - name: Compliance
    description: Compliance and compliance link endpoints
  - name: Webhook Endpoint
    description: Webhook endpoint endpoints
  - name: File
    description: File upload endpoints
  - name: Onramp
    description: Onramp (fiat to crypto) endpoints
  - name: Offramp
    description: Offramp (crypto to fiat) endpoints
  - name: Orchestration Address
    description: Orchestration (liquidation) address endpoints
  - name: KYC Link
    description: Hosted and custom KYC/KYB link endpoints
  - name: Transfer Approval
    description: Transfer approval endpoints
  - name: Corridor
    description: Supported fiat/crypto transfer corridor endpoints
  - name: Migration
    description: v2-to-v3 ID mapping endpoints
paths:
  /v3/users/{userId}/wallets/{walletId}/deposits:
    get:
      tags:
        - Wallet
      summary: List wallet deposits
      description: |
        List inbound deposits received by a specific HIFI-provisioned wallet.
        `chain` and `currency` are required. Supports cursor-based pagination
        and filtering by status, minimum amount, and creation time.
      operationId: v3ListWalletDeposits
      parameters:
        - $ref: '#/components/parameters/UserIdPathParameter'
        - $ref: '#/components/parameters/WalletIdPathParameter'
        - $ref: '#/components/parameters/WalletDepositChainQueryParameter'
        - $ref: '#/components/parameters/WalletDepositCurrencyQueryParameter'
        - $ref: '#/components/parameters/WalletDepositStatusQueryParameter'
        - $ref: '#/components/parameters/WalletDepositMinAmountQueryParameter'
        - $ref: '#/components/parameters/WalletDepositCreatedAfterQueryParameter'
        - $ref: '#/components/parameters/WalletDepositCreatedBeforeQueryParameter'
        - $ref: '#/components/parameters/LimitParameter'
      responses:
        '200':
          $ref: '#/components/responses/ListWalletDepositsResponse'
        '400':
          $ref: '#/components/responses/BadRequestResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    UserIdPathParameter:
      name: userId
      in: path
      schema:
        type: string
        pattern: ^user_[A-Za-z0-9]+$
      description: ID of the user.
      required: true
    WalletIdPathParameter:
      name: walletId
      in: path
      required: true
      schema:
        type: string
      description: Public ID of the wallet (prefixed with `wlt_`)
      example: wlt_1aLcs3Kf9dQ2mNpXwZ7bV
    WalletDepositChainQueryParameter:
      name: chain
      in: query
      required: true
      schema:
        type: string
        enum:
          - POLYGON
          - SOLANA
          - ETHEREUM
          - BASE
          - BSC
          - FLOW_EVM
          - CANTON
          - TRON
      description: Filter deposits by chain.
    WalletDepositCurrencyQueryParameter:
      name: currency
      in: query
      required: true
      schema:
        type: string
        enum:
          - USDC
          - USDT
          - USDG
          - PYUSD
          - PYUSD0
          - USDCX
      description: Filter deposits by currency.
    WalletDepositStatusQueryParameter:
      name: status
      in: query
      required: false
      schema:
        type: string
        enum:
          - CONFIRMED
          - COMPLETED
      description: Filter deposits by status.
    WalletDepositMinAmountQueryParameter:
      name: minAmount
      in: query
      required: false
      schema:
        type: number
        minimum: 0.01
        default: 0.01
      description: Only return deposits with an amount greater than or equal to this value.
    WalletDepositCreatedAfterQueryParameter:
      name: createdAfter
      in: query
      required: false
      schema:
        type: integer
      description: >-
        Only return deposits created at or after this Unix timestamp
        (milliseconds).
    WalletDepositCreatedBeforeQueryParameter:
      name: createdBefore
      in: query
      required: false
      schema:
        type: integer
      description: Only return deposits created before this Unix timestamp (milliseconds).
    LimitParameter:
      name: limit
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 100
      description: default to 10, maximum to 100
      required: false
  responses:
    ListWalletDepositsResponse:
      description: A cursor-paginated list of wallet deposits.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/WalletDepositListObject'
          example:
            data:
              - id: dep_9dQ2mNpXwZ7bV1aLcs3Kf
                userId: usr_3Kf9dQ2mNpXwZ7bV1aLcs
                createdAt: 1751365800000
                updatedAt: 1751365800000
                wallet:
                  id: wlt_1aLcs3Kf9dQ2mNpXwZ7bV
                  address: '0x1234567890abcdef1234567890abcdef12345678'
                  chain: POLYGON
                transaction:
                  transactionHash: >-
                    0xabc123def4567890abc123def4567890abc123def4567890abc123def4567890
                  chain: POLYGON
                  currency: USDC
                  status: COMPLETED
                  sourceAddress: '0x9876543210fedcba9876543210fedcba98765432'
                  destinationAddress: '0x1234567890abcdef1234567890abcdef12345678'
                  contractAddress: '0x3c499c542cef5e3811e1192ce70d8cc03d5c3359'
                  amount: '100.50'
                  unitAmount: '100500000'
            pagination:
              hasMore: false
              startCursor: dep_9dQ2mNpXwZ7bV1aLcs3Kf
              endCursor: dep_9dQ2mNpXwZ7bV1aLcs3Kf
    BadRequestResponse:
      description: Bad Request — the request was malformed or failed validation.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
          example:
            type: VALIDATION_ERROR
            message: One or more fields are invalid or missing.
            fields:
              - code: invalid_value
                message: Must be a valid email address
                field: email
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    WalletDepositListObject:
      type: object
      description: Cursor-paginated list of wallet deposits.
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/WalletDepositObject'
        pagination:
          $ref: '#/components/schemas/Pagination'
    ApiError:
      type: object
      description: >-
        Standard v3 error shape, returned by validation failures and
        business-logic errors alike.
      properties:
        type:
          type: string
          description: >-
            Machine-readable error type, e.g. VALIDATION_ERROR,
            ACTION_NOT_ALLOWED, RESOURCE_CONFLICT.
          example: VALIDATION_ERROR
        message:
          type: string
          description: Human-readable error message.
          example: One or more fields are invalid or missing.
        fields:
          type: array
          description: >-
            Present on field-level validation errors. One entry per problem
            field.
          items:
            type: object
            properties:
              code:
                type: string
                description: Error code related to the field issue.
              message:
                type: string
                description: Error message for the specific issue.
              field:
                type: string
                description: The name of the field that has an issue.
    Unauthorized:
      type: object
      properties:
        type:
          type: string
          description: Unauthorized enum
          example: UNAUTHORIZED
        message:
          type: string
          description: Unauthorized message
          example: Authentication required
    InternalServerError:
      type: object
      properties:
        type:
          type: string
          example: INTERNAL_SERVER_ERROR
          description: Internal server error enum
        message:
          type: string
          example: An internal server error occurred
          description: Internal server error message
    WalletDepositObject:
      type: object
      description: An inbound deposit received by a HIFI-provisioned wallet.
      properties:
        id:
          type: string
          description: Public ID of the deposit (prefixed with `dep_`).
          example: dep_9dQ2mNpXwZ7bV1aLcs3Kf
        userId:
          type: string
          description: Public ID of the user (prefixed with `usr_`).
          example: usr_3Kf9dQ2mNpXwZ7bV1aLcs
        createdAt:
          type: integer
          description: Unix timestamp (milliseconds) of when the deposit was created.
          example: 1751365800000
        updatedAt:
          type: integer
          description: Unix timestamp (milliseconds) of when the deposit was last updated.
          example: 1751365800000
        wallet:
          $ref: '#/components/schemas/WalletDepositWallet'
        transaction:
          $ref: '#/components/schemas/WalletDepositTransaction'
    Pagination:
      type: object
      properties:
        hasMore:
          type: boolean
        startCursor:
          type: string
          nullable: true
        endCursor:
          type: string
          nullable: true
      required:
        - hasMore
        - startCursor
        - endCursor
    WalletDepositWallet:
      type: object
      description: The HIFI-provisioned wallet the deposit was received into.
      properties:
        id:
          type: string
          description: Public ID of the wallet (prefixed with `wlt_`).
          example: wlt_1aLcs3Kf9dQ2mNpXwZ7bV
        address:
          type: string
          description: On-chain address of the wallet.
          example: '0x1234567890abcdef1234567890abcdef12345678'
        chain:
          type: string
          enum:
            - POLYGON
            - SOLANA
            - ETHEREUM
            - BASE
            - BSC
            - FLOW_EVM
            - CANTON
            - TRON
          example: POLYGON
    WalletDepositTransaction:
      type: object
      description: On-chain transaction details of the deposit.
      properties:
        transactionHash:
          type: string
          example: '0xabc123def4567890abc123def4567890abc123def4567890abc123def4567890'
        chain:
          type: string
          enum:
            - POLYGON
            - SOLANA
            - ETHEREUM
            - BASE
            - BSC
            - FLOW_EVM
            - CANTON
            - TRON
          example: POLYGON
        currency:
          type: string
          enum:
            - USDC
            - USDT
            - USDG
            - PYUSD
            - PYUSD0
            - USDCX
          example: USDC
        status:
          type: string
          enum:
            - CONFIRMED
            - COMPLETED
          example: COMPLETED
        sourceAddress:
          type: string
          description: Address the funds were sent from.
          example: '0x9876543210fedcba9876543210fedcba98765432'
        destinationAddress:
          type: string
          description: Address the funds were received at (the wallet address).
          example: '0x1234567890abcdef1234567890abcdef12345678'
        contractAddress:
          type: string
          description: Token contract address.
          example: '0x3c499c542cef5e3811e1192ce70d8cc03d5c3359'
        amount:
          type: string
          description: Deposit amount in whole token units.
          example: '100.50'
        unitAmount:
          type: string
          description: Deposit amount in the token's smallest unit.
          example: '100500000'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````